import "./tasks/TNseq.wdl" as TNseq
import "./tasks/TNscope.wdl" as TNscope


workflow {{ project_name }} {

	File corealigner_bam
	File corealigner_bam_index

	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String sample
	String SENTIEONdocker

	String fasta
	File ref_dir
	File dbmills_dir
	String db_mills
	File dbsnp_dir
	String dbsnp
	String disk_size
	String cluster_config

	call TNseq.TNseq as TNseq {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		fasta=fasta,
		ref_dir=ref_dir,
		corealigner_bam=corealigner_bam,
		corealigner_bam_index=corealigner_bam_index,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		tumor_name=sample + "tumor",
		normal_name=sample + "normal",
		docker=SENTIEONdocker,
		sample=sample,
		disk_size=disk_size,
		cluster_config=cluster_config
	}

	call TNscope.TNscope as TNscope {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		fasta=fasta,
		ref_dir=ref_dir,
		corealigner_bam=corealigner_bam,
		corealigner_bam_index=corealigner_bam_index,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		tumor_name=sample + "tumor",
		normal_name=sample + "normal",
		docker=SENTIEONdocker,
		sample=sample,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}
